var ReferenceOverlay = { };

ReferenceOverlay.enable = function() {
  var referenceOverlay = $('#reference-overlay');
  $('body').bindAndStopPropagation('keypress', function() {
    switch (event.which) {
      case 32:  // space
        if (referenceOverlay.hasClass('visible')) {
          referenceOverlay.removeClass('visible');
        }
        else {
          referenceOverlay.addClass('visible');
        }
        break;

      case 122: // z
        if (referenceOverlay.hasClass('transparent')) {
          referenceOverlay.removeClass('transparent');
        }
        else {
          referenceOverlay.addClass('transparent');
        }
        break;
    }
  });
};

$(function() {
  if (typeof PhoneGap == "undefined") {

    // The reference overlay bindings break autocomplete on some
    // Android devices.
    
    ReferenceOverlay.enable();
  }
});
