Templater = {

  REGEX: /\{\s*([^\s}]+)\s*\}/g,
  COMMENT_REGEX: /<!--([\S\s]*?)-->/g,

  interpolate: function(html, resolver) {
    return html.replace(Templater.COMMENT_REGEX, '').replace(Templater.REGEX, function(s, key) {
      value = resolver(key);
      return (value === null || value === undefined ? '' : value.toString());
    });
  }
};
