var Entry = {

};

Entry.PUGEEntry = function(player, team, game, type) {
  this.player = player;
  this.scorer = player;
  this.team = team;
  this.game = game;
  this.type = type;

  this.place = function(success, fail) {
    PUGE.placeEntry(this, function(result, title, errorMsg, url) {
      if (result) {
        success();
      } else {
        fail(title, errorMsg, url);
      }
    });
  };
};

Entry.SMSEntry = function(player, team, game, type) {
  this.player = player;
  this.scorer = player;
  this.team = team;
  this.game = game;
  this.type = type;

  this.place = function(success, fail) {
    SMS.sendSMS(game.smsNumber, this.scorer.team.shortName + " " + this.scorer.shirtNumber, success, fail);
  };
};

Entry.Factory = {
  create: function(player, team, game, type) {
    switch (type) {
      case "sms":
        return new Entry.SMSEntry(player, team, game, type);
      case "points":
      case "cash":
        return new Entry.PUGEEntry(player, team, game, type);
    }
  }
};