function PlayErrorPopupUI(element) {
  this.element = element;

  this.link = element.find('a');
  this.title = element.find('h2');
  this.errorText = element.find('.errorMsg');

  this.element.find(".close").bindAndStopPropagation(UI.tapEvent, function() { UI.closePopup(); return false; });
}

PlayErrorPopupUI.prototype.setupError = function(title, errorMsg, url) {

  this.title.text(title);
  this.errorText.text(errorMsg);
  if(url === undefined) {
    this.link.hide();
  } else {
    this.link.show();
    this.link.attr('href', "javascript:UI.gotoPuge('" + url.replace(/http(s)?:\/\/[^\/]*/,"") + "')");
  }
};

$(function() {
  UI.playErrorPopup = new PlayErrorPopupUI($("#play-error-popup"));
});

